--- /dev/null	2013-08-22 18:57:26.000000000 -0400
+++ new/usr/src/pkg/manifests/driver-network-sfxge.mf	2013-08-22 18:57:26.840827110 -0400
@@ -0,0 +1,55 @@
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License (the "License").
+# You may not use this file except in compliance with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+
+#
+# Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright (c) 2012, Joyent, Inc. All rights reserved.
+# Copyright 2012 Nexenta Systems, Inc. All rights reserved.
+#
+
+#
+# The default for payload-bearing actions in this package is to appear in the
+# global zone only.  See the include file for greater detail, as well as
+# information about overriding the defaults.
+#
+<include global_zone_only_component>
+set name=pkg.fmri value=pkg:/driver/network/sfxge@$(PKGVERS)
+set name=pkg.description value="Solarflare 10GbE PCIE NIC Driver"
+set name=pkg.summary value="Solarflare 10GbE PCIE NIC Driver"
+set name=info.classification \
+    value=org.opensolaris.category.2008:Drivers/Networking
+set name=variant.arch value=$(ARCH)
+dir path=kernel group=sys
+dir path=kernel/drv group=sys
+dir path=kernel/drv/$(ARCH64) group=sys
+driver name=sfxge clone_perms="sfxge 0666 root sys" perms="* 0666 root sys" \
+    alias=pciex1924,703 \
+    alias=pciex1924,710 \
+    alias=pciex1924,803 \
+    alias=pciex1924,813
+file path=kernel/drv/$(ARCH64)/sfxge group=sys
+$(i386_ONLY)file path=kernel/drv/sfxge group=sys
+file path=kernel/drv/sfxge.conf group=sys \
+    original_name=SFCsfxge:kernel/drv/sfxge.conf preserve=renamenew
+legacy pkg=SFCsfxge desc="Solarflare 10GbE PCIE NIC Driver" \
+    name="Solarflare 10GbE PCIE NIC Driver"
+license cr_Sun license=cr_Sun
+license lic_CDDL license=lic_CDDL
